package org.ghisler.a7zip;

import android.annotation.TargetApi;
import android.app.Activity;
import android.app.Dialog;
import android.app.KeyguardManager;
import android.app.admin.DevicePolicyManager;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.content.pm.PackageManager;
import android.hardware.fingerprint.FingerprintManager;
import android.os.Build;
import android.util.Base64;
import android.util.SparseArray;
import android.view.InputDevice;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.QuickContactBadge;
import android.widget.TextView;

@TargetApi(Build.VERSION_CODES.M)
public class AndroidMFunctions {

	private static String writeStorage="android.permission.WRITE_EXTERNAL_STORAGE";
	private static String readStorage="android.permission.READ_EXTERNAL_STORAGE";

	public static boolean hasStorageReadWriteRights(Context ctx) {
		return ctx.checkSelfPermission(writeStorage)== PackageManager.PERMISSION_GRANTED &&
				ctx.checkSelfPermission(readStorage)== PackageManager.PERMISSION_GRANTED;  //0==GRANTED
	}

	public static void requestStorageReadWriteRights(Activity act,int code) {
		String[] perms=new String[2];
		perms[0]=readStorage;
		perms[1]=writeStorage;
		act.requestPermissions(perms,code);
	}
}
